Bug 1419843 - Installation with ansible-2.2.1.0-2 may fail when set_fact for openshift_master
Summary: Installation with ansible-2.2.1.0-2 may fail when set_fact for openshift_master
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 08:47 UTC by Gaoyun Pei
Modified: 2017-07-24 14:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-04-11 21:24:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0903 normal SHIPPED_LIVE OpenShift Container Platform atomic-openshift-utils bug fix and enhancement 2017-04-12 22:45:42 UTC

Description Gaoyun Pei 2017-02-07 08:47:43 UTC
Description of problem:
When installing ocp-3.5/3.4/3.3 env with ansible-2.2.1.0-2, sometimes it would run into various exception during set_fact task execution.

#1
TASK [openshift_master : set_fact] *********************************************
Tuesday 07 February 2017  08:13:33 +0000 (0:00:09.527)       0:13:48.330 ****** An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RuntimeError: maximum recursion depth exceeded while calling a Python objectfatal: [gpei-35-public-master-etcd-zone1-1.0207-rzs.qe.rhcloud.com]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RuntimeError: maximum recursion depth exceeded while calling a Python objectfatal: [gpei-35-public-master-etcd-zone2-1.0207-rzs.qe.rhcloud.com]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RuntimeError: maximum recursion depth exceeded while calling a Python objectfatal: [gpei-35-public-master-etcd-zone2-2.0207-rzs.qe.rhcloud.com]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}

#2
TASK [openshift_master : set_fact] *********************************************
Tuesday 07 February 2017  06:41:09 +0000 (0:00:03.955)       0:10:59.194 ****** 
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RepresenterError: cannot represent an object: claim
fatal: [openshift-132.lab.sjc.redhat.com]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RepresenterError: cannot represent an object: claim
fatal: [openshift-136.lab.sjc.redhat.com]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}

#3
#cat hosts
<--snip-->
openshift_master_identity_providers=[{'name': 'allow_all', 'login': 'true', 'challenge': 'true', 'kind': 'AllowAllPasswordIdentityProvider'}]
<--snip-->

TASK [openshift_master : set_fact] *********************************************
Tuesday 07 February 2017  08:07:16 +0000 (0:00:09.408)       0:13:35.991 ****** An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RepresenterError: cannot represent an object: allow_allfatal: [openshift-202.lab.eng.nay.redhat.com]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}

Version-Release number of selected component (if applicable):
ansible-2.2.1.0-2.el7.noarch
openshift-ansible-3.5.4-1.git.0.034b615.el7.noarch.rpm

How reproducible:
Sometimes

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 openshift-github-bot 2017-02-09 16:46:31 UTC
Commit pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/863f345972b1cf9ed28d682acdf2b74559f79211
Merge pull request #3298 from abutcher/infinite-init

Bug 1419843 - Installation with ansible-2.2.1.0-2 may fail when set_fact for openshift_master

Comment 5 Gaoyun Pei 2017-02-10 06:46:26 UTC
Tried a bunch of installation with the following options setting in ansible inventory, no similar issue encountered.

openshift_master_identity_providers=[{'name': 'github_auth', 'challenge': 'false', 'login': 'true', 'kind': 'GitHubIdentityProvider', 'clientID': 'xxxx', 'clientSecret': 'xxxxx' }]

openshift_master_identity_providers=[{'name': 'LDAP_auth', 'login': 'true', 'challenge': 'true', 'kind': 'LDAPPasswordIdentityProvider', 'attributes': {'id': ['dn'], 'email': ['mail'], 'name': ['uid'], 'preferredUsername': ['uid']}, 'bindDN': '', 'bindPassword': '', 'ca': '', 'insecure': 'true', 'url': 'ldap://10.66.147.104:389/ou=People,dc=my-domain,dc=com?uid'}]

openshift_master_identity_providers=[{'name': 'allow_all', 'login': 'true', 'challenge': 'true', 'kind': 'AllowAllPasswordIdentityProvider'}]


Test with openshift-ansible-3.5.6-1.git.0.5e6099d.el7.noarch.rpm and ansible-2.2.1.0-2.el7.

For error#2, QE didn't meet with it these two days, will provide more installation information on this bug if happened again. Move this bug to verified for now. Thanks!

Comment 6 Alex Kamalov 2017-03-24 21:20:28 UTC
Reproduced error. Getting:

An exception occurred during task execution. To see the full traceback, use -vvv. The error was: RepresenterError: cannot represent an object: deny_all
fatal: [EDITED-OUT.net]: FAILED! => {"failed": true, "msg": "Unexpected failure during module execution.", "stdout": ""}

Ansible: 2.2.1.0
OpenShift-Ansible 3.4

Question: When can we expect 3.5 release with a bug-fix?

Thanks,

Alex

Comment 7 Steven Walter 2017-04-13 14:23:40 UTC
Is this with the 3.5 errata? It is listed: https://access.redhat.com/errata/RHBA-2017:0903


Note You need to log in before you can comment on or make changes to this bug.